From 2c52d098bbdb85b885da3b5f4f5c90da5b0be50b Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Thu, 3 Nov 2011 19:28:58 -0500
Subject: [PATCH 16/43] hw/xwin/winwindow.h: make project name aware of
 non-Cygwin builds

---
 hw/xwin/winwindow.h |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/hw/xwin/winwindow.h b/hw/xwin/winwindow.h
index 5f3cc65..fa78c5a 100644
--- a/hw/xwin/winwindow.h
+++ b/hw/xwin/winwindow.h
@@ -45,8 +45,15 @@
 
 /* Constant strings */
 #ifndef PROJECT_NAME
-#  define PROJECT_NAME		"Cygwin/X"
+#  if defined(__MINGW32__)
+#    define PROJECT_NAME "XWin-MinGW"
+#  elif defined(__CYGWIN__)
+#    define PROJECT_NAME		"Cygwin/X"
+#  else
+#    define PROJECT_NAME		"XWin"
+#  endif
 #endif
+
 #define EXECUTABLE_NAME         "XWin"
 #define WINDOW_CLASS		PROJECT_NAME
 #define WINDOW_TITLE		PROJECT_NAME ":%s.%d"
-- 
1.7.7.1

